Subject: Re: general protection fault in ip6_dst_lookup_tail (2)

From: syzbot <[email-masked]>
Date: Thu, 06 Jun 2019 20:25:00 -0700

syzbot has bisected this bug to:

commit f40b6ae2b612446dc970d7b51eeec47bd1619f82
Author: David Ahern <[email-masked]>
Date:   Thu May 23 03:27:55 2019 +0000

     ipv6: Move pcpu cached routes to fib6_nh

bisection log:  https://syzkaller.appspot.com/x/bisect.txt?x=13c969a6a00000
start commit:   07c3bbdb samples: bpf: print a warning about headers_install
git tree:       bpf-next
final crash:    https://syzkaller.appspot.com/x/report.txt?x=102969a6a00000
console output: https://syzkaller.appspot.com/x/log.txt?x=17c969a6a00000
kernel config:  https://syzkaller.appspot.com/x/.config?x=b7b54c66298f8420
dashboard link: https://syzkaller.appspot.com/bug?extid=58d8f704b86e4e3fb4d3
syz repro:      https://syzkaller.appspot.com/x/repro.syz?x=117f50e1a00000

Reported-by: [email-masked]
Fixes: f40b6ae2b612 ("ipv6: Move pcpu cached routes to fib6_nh")

For information about bisection process see: https://goo.gl/tpsmEJ#bisection